> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docku.mertani.com/api-reference/external-api/get-device-sensor-data/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docku.mertani.com/_mcp/server. # Get device sensor data GET https://app.mertani.co.id/external/v1/devices/{device_id}/data Reference: https://docku.mertani.com/api-reference/external-api/get-device-sensor-data ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `device_id` (string, required) ### Query parameters - `start` (datetime, required) - `end` (datetime, required) - `tz` (integer, optional) ## Response ### 200 Success - `message` (string, optional) - `data` (list of DevicesDeviceIdDataGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### DevicesDeviceIdDataGetResponsesContentApplicationJsonSchemaDataItems - `timestamp` (string, optional) - `sensors` (list of Sensor, optional) ### Sensor - `id` (string, optional) - `value` (double, optional) - `unit` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "message": "Data retrieved successfully", "data": [ { "timestamp": "2024-06-01T08:00:00Z", "sensors": [ { "id": "temperature", "value": 26.5, "unit": "°C" }, { "id": "humidity", "value": 58.2, "unit": "%" } ] }, { "timestamp": "2024-06-01T12:00:00Z", "sensors": [ { "id": "temperature", "value": 29.1, "unit": "°C" }, { "id": "humidity", "value": 54.7, "unit": "%" } ] } ] } ``` **SDK Code** ```python import requests url = "https://app.mertani.co.id/external/v1/devices/device-12345/data" querystring = {"start":"2024-06-01T00:00:00Z","end":"2024-06-01T23:59:59Z","tz":"7"} payload = {} headers = { "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers, params=querystring, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7'; const credentials = btoa(":"); const options = { method: 'GET', headers: { Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json' }, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7") .basicAuth("", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.mertani.co.id/external/v1/devices/device-12345/data?start=2024-06-01T00%3A00%3A00Z&end=2024-06-01T23%3A59%3A59Z&tz=7")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```